# 32/64bit spec-file
#
%define oname Terminal
%define iconname %{oname}.png
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	X terminal emulator for Xfce desktop environment
Summary(de):	X Termianlemulator für Xfce
Name:		xfce4-terminal
Version:	0.8.4
Release:	%mkrel 2
Group:		Terminals
License:	GPLv2+
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	xfce4-terminal-root.desktop
#---------------------------------------------
BuildRequires: perl-XML-Parser
BuildRequires: imagemagick
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: xsltproc
BuildRequires: docbook-dtd45-xml
BuildRequires: docbook-style-xsl
BuildRequires: gnome-doc-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}vte3-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxml2-utils
BuildRequires: xfce4-dev-tools 
BuildRequires: wayland-protocols-devel
#---------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildrrot
Obsoletes: 	%{name} < %version
Obsoletes:	terminal <= 0.4.8-4

Requires:	ncurses-extraterms


%description
XFCE4-Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%description -l de
XFCE4-Terminal ist ein moderner, leichgewichtiger und wenig Speicher
verbrauchender Terminalemulator mit Tabs und mehreren Fenstern für 
Xfce. Sie können die Tastenbindungen, die Farbe und mehr an Ihre
persönlichen Bedürfnisse anpassen.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --enable-gen-doc
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

desktop-file-install --vendor=""\
    --add-category="GTK" \
    --add-category="X-MandrivaLinux-System-Terminals" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications

%pre
if [ $1 -gt 1 ] ; then
    if [ -d %{_docdir}/Terminal ]; then
	rm -rf %{_docdir}/Terminal
    fi
fi


%post
%update_icon_cache hicolor


%postun
%clean_icon_cache hicolor

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gnome-control-center/default-apps/%{name}-default-apps.xml
%{_datadir}/locale/*
%{_datadir}/xfce4/terminal/terminal-preferences.ui
%{_datadir}/xfce4/terminal/colorschemes
%{_datadir}/applications/%{name}*.desktop


%files doc
%defattr(-,root,root)
%doc README NEWS AUTHORS HACKING THANKS
%{_datadir}/man

%changelog
* Wed May 24 2017 threepio <threepio> 0.8.4-2uplos2017
- rebuild


* Sat Feb 11 2017 adrianomorselli <adrianomorselli> 0.8.1-2uplos2017
- rebuild
 
* Thu Dec 29 2016 ghostbunny <ghostbunny at gmx dot de> 0.8.1-2pclos2017
- add missing Requires ncurses-extraterms

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2017
- 0.8.1
- add BR wayland-protocols-devel
- update lib64vte-devel to lib64vte3-devel
- update gtk dependency to gtk3

* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 0.6.3-5pclos2016
- update root desktop file translations (thanks to Ika)

* Tue Mar 03 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.3-4pclos2015
- rebuild against new libxfce4util

* Sat Jan 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.3-3pclos2015
- add a Root terminal menu entry

* Fri Jan 03 2014 bb <bb> 0.6.3-2pclos2014
- adjust BR
- change rpmgroup Documention for doc package
- drop update-menus clean-menus postscripts

* Fri Dec 27 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.3-1pclos2013
- 0.6.3
- fix BRs
- just use autogen.sh instead of configure (with configure the package does not build)

* Mon May 06 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.2-1pclos2013
- 0.6.2

* Sun Jan 13 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2013
- 0.6.1
- renamed package and spec because of authors renamed the program from Terminal to xfce4-terminal
- fixed name change related problems
- added BR %{_lib}xfce4ui-devel

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.8-4pclos2012
- deleted misplaced remove of .la/.a files in postun section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.8-3pclos2012
- rebuild against new exo and libxfce4util
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- set exo to 0.8

* Wed Jan 18 2012 Neal <nealbrks0 at gmail.com> 0.4.8.-2pclos2012
- set exo require to 0.7

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.8.-2pclos2012
- rebuilt

* Thu Jul 07 2011 Texstar <texstar at gmail.com> 0.4.8-1pclos2011
- 0.4.8

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 0.4.6-2pclos2011
- remove patch2 to fix scroll bar

* Mon Feb 28 2011 Sproggy <desproggster@gmail.com> 0.4.6-1pclos2010
- update 0.4.6

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.4.5-2pclos2010
- updated for xfce4.8

* Sun Nov 07 2010 Sproggy <desproggster@gmail.com> 0.4.5-1pclos2010
- rebuild for Xfce4.8pre1
